Package org.apache.tapestry5.ajax

## Class MultiZoneUpdate

- java.lang.Object
- - org.apache.tapestry5.ajax.MultiZoneUpdate

-     public class MultiZoneUpdate
      extends java.lang.Object

  Deprecated.
  Deprecated in 5.3; use the `AjaxResponseRenderer` service instead of returning an instance of MultiZoneUpdate
  A mapping from client-side zone ids to objects that can render the content for that zone on the client. An event handler method may instantiate an instance and chain together a series of calls to `add(String, Object)` , and return the final result. Remember that client-side element ids may not match server-side component ids, especially once Ajax is added to the mix. Because of this, it is highly recommended that the client-side logic gather the actual component ids and include those in the Ajax request, to ensure that the server generates updates that the client can process. Better yet, use the Zone's id parameter to lock down the zone's id to a known, predictable value.
  Since:
    5.1.0.1

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MultiZoneUpdate​(java.lang.String zoneId, java.lang.Object renderer)` | Deprecated.
    `MultiZoneUpdate​(ClientBodyElement zone)` | Deprecated. Alternate constructor that takes a ClientBodyElement (typically, a `Zone`).

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MultiZoneUpdate` | `add​(java.lang.String zoneId, java.lang.Object renderer)` | Deprecated. Returns a new MultiZoneUpdate reflecting the mapping from the indicated zone to an object that will render the content for that zone.
    `MultiZoneUpdate` | `add​(ClientBodyElement zone)` | Deprecated. Adds the zone (represented by the `ClientBodyElement`) to the update.
    `java.util.Map<java.lang.String,​java.lang.Object>` | `getZoneToRenderMap()` | Deprecated. Returns a mapping from client zone id to renderer object for that zone.
    `java.lang.String` | `toString()` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiZoneUpdate

          public MultiZoneUpdate​(java.lang.String zoneId,
                                 java.lang.Object renderer)

      Deprecated.

    - #### MultiZoneUpdate

          public MultiZoneUpdate​(ClientBodyElement zone)

      Deprecated.
      Alternate constructor that takes a ClientBodyElement (typically, a `Zone`).

  - ### Method Detail

    - #### add

          public MultiZoneUpdate add​(ClientBodyElement zone)

      Deprecated.
      Adds the zone (represented by the `ClientBodyElement`) to the update.
      Since:
        5.2.3

    - #### add

          public MultiZoneUpdate add​(java.lang.String zoneId,
                                     java.lang.Object renderer)

      Deprecated.
      Returns a new MultiZoneUpdate reflecting the mapping from the indicated zone to an object that will render the content for that zone.
      Parameters:
        `zoneId` - client id of zone to update
        `renderer` - object that can provide the content for the zone
      Returns:
        new MultiZoneUpdate

    - #### getZoneToRenderMap

          public java.util.Map<java.lang.String,​java.lang.Object> getZoneToRenderMap()

      Deprecated.
      Returns a mapping from client zone id to renderer object for that zone.
      Returns:
        string to renderer map

    - #### toString

          public java.lang.String toString()

      Deprecated.
      Overrides:
        `toString` in class `java.lang.Object`